﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using LiuLun.Silverlight.Model;
using System.Data.SqlClient;
using System.Data;

namespace LiuLun.Silverlight.DataAccess
{
    public class MenuDA:BaseDA
    {
        public List<MenuM> GetAllMenu()
        {
            var sb = string.Format(@"select * from MenuInfo");
            var dr = ExecuteDataReader(sb);
            var result = new List<MenuM>();
            while (dr.Read())
            {
                var obj = new MenuM();
                obj.Id = dr["Id"]==DBNull.Value?Guid.Empty:new Guid(dr["Id"].ToString());
                obj.MenuName = dr["MenuName"].ToString();
                obj.OrderNum = Convert.ToInt32(dr["OrderNum"]);
                obj.ParentId = dr["ParentId"] == DBNull.Value ? Guid.Empty : new Guid(dr["ParentId"].ToString());
                obj.Url = dr["Url"].ToString();
                obj.MenuDes = dr["MenuDes"].ToString();
                result.Add(obj);
            }
            return result;
        }
        public void DelMenu(Guid Id)
        {
            var sql = string.Format(@"delete from MenuInfo where Id = '{0}'", Id);
            ExecuteNonQuery(sql);
        }
        public void UpdateMenu(MenuM obj)
        {
            var sql = string.Format(@"update MenuInfo set
                                    MenuName = '{0}',Url = '{1}',OrderNum = {2}
                                    ,MenuDes = '{3}',ParentId='{4}' where Id = '{5}'",
                                    obj.MenuName, obj.Url, obj.OrderNum, obj.MenuDes, obj.ParentId,obj.Id);
            ExecuteNonQuery(sql);
        }
        public void AddMenu(MenuM obj)
        {
            var sb = string.Format(@"insert into MenuInfo (Id,MenuName,Url,OrderNum,MenuDes,ParentId) 
                                    values ('{0}','{1}','{2}',{3},'{4}','{5}')"
                            , Guid.NewGuid(), obj.MenuName, obj.Url, obj.OrderNum, obj.MenuDes, obj.ParentId);
            ExecuteNonQuery(sb);
        }
    }
}
